%global enable_tests 0
%global module_name create-error-class
%global commit0 bec0186ac350c5b89b1707d395c23a5a080b4f45
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           nodejs-%{module_name}
Version:        2.0.1
Release:        2%{?dist}
Summary:        Create Error classes

License:        MIT
URL:            https://github.com/floatdrop/create-error-class
Source0:        https://github.com/floatdrop/%{module_name}/archive/%{commit0}.tar.gz#/%{module_name}-%{shortcommit0}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(inherits)
BuildRequires:  npm(capture-stack-trace)
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{commit0}
rm -rf node_modules

%nodejs_fixdep inherits

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -p package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Thu Aug 06 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.0.1-2
- Add missing BuildRequires
- fix summary macro
- correct check section

* Thu Jul 30 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.0.1-1
- Initial packaging

